## Class Translation

Description

Translation class.

Provides translation using a static MessageFormatter.

- version: v1.0, last update on Tue Dec 28 11:54:48 EST 2004
- author: Xiang Wei Zhuo <weizhuo[at]gmail[dot]com>

Located in /I18N/Translation.php (line 28)

    TComponent
       |
       --Translation

Variable Summary
array $formatters
Method Summary
MessageFormat formatter ([mixed $catalogue = 'messages'])
void init ([mixed $catalogue = 'messages'])
void saveMessages ()
Variables
array $formatters = array() (line 35)

The array of formatters. We define 1 formatter per translation catalog This is a class static variable.

- static:
- access: protected

Methods
formatter (line 80)

Get the static formatter from this component.

- return: formattter.
- static:
- access: public
- see: localize()

MessageFormat formatter ([mixed $catalogue = 'messages'])
init (line 40)

Initialize the TTranslate translation components

- static:
- access: public

void init ([mixed $catalogue = 'messages'])
saveMessages (line 88)

Save untranslated messages to the catalogue.

- static:
- access: public

void saveMessages ()

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:35:57 -0400 by phpDocumentor 1.3.0RC4